.whatsapp-button__link--delayed {
  visibility: hidden;
  opacity: 0;
  pointer-events: none;
}

.whatsapp-button__link--delayed.is-visible {
  visibility: visible;
  opacity: 1;
  pointer-events: auto;
}

div.sticky.whatsapp-icon {
  position: -ms-device-fixed;
  position: fixed;
  bottom: 20px;
  left: 20px;
  z-index: 5;
  height: 70px;
  display: flex;
  align-items: center;
  overflow: hidden;
  border-radius: 35px;
  transition: background-color 0.2s ease-in-out;
}

div.sticky.whatsapp-icon:hover {
  background: #27d045;
  .whatsapp-icon__hover {
    transform: translateX(0);
    opacity: 1;
    visibility: visible;
    max-width: 450px;
  }
}

div.sticky.whatsapp-icon .whatsapp-icon__hover {
  max-width: 0;
  opacity: 0;
  display: flex;
  align-items: center;
  border-radius: 35px;
  gap: 15px;
  transform: translateX(-100%);
  visibility: hidden;
  font-weight: 500;
  white-space: nowrap;
  width: fit-content;
  color: white;
  transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out, visibility 0.3s ease-in-out,
     max-width 0.3s ease-in-out;
  @media screen and (max-width: 960px) {
    display: none;
  }
}

div.sticky.whatsapp-icon .whatsapp-icon__hover img {
  width: 70px;
  height: 70px;
  border-radius: 35px;
  border: 2px solid white;
}

div.sticky.whatsapp-icon .whatsapp-icon__hover .img-wrap {
  width: 70px;
  height: 70px;
}

div.sticky.whatsapp-icon .whatsapp-icon__icon {
  position: relative;
  display: inline-block;
  width: 70px;
  height: 70px;
  border-radius: 20px;
  background-image: url("/assets/ic/whatsapp.svg");
  z-index: 2;
  background-repeat: no-repeat;
}

@media screen and (max-width: 960px) {
  div.sticky.whatsapp-icon {
    width: 50px;
    height: 50px;
  }
  div.sticky.whatsapp-icon .whatsapp-icon__icon {
    width: 50px;
    height: 50px;
    background-size: contain;
  }
}
